Package org.apache.storm.trident.testing

## Class MemoryMapState<T>

- java.lang.Object
- - org.apache.storm.trident.testing.MemoryMapState<T>

- All Implemented Interfaces:
    `ITupleCollection`, `MapState<T>`, `ReadOnlyMapState<T>`, `RemovableMapState<T>`, `ReadOnlySnapshottable<T>`, `Snapshottable<T>`, `State`
  Direct Known Subclasses:
    `DebugMemoryMapState`

      public class MemoryMapState<T>
      extends Object
      implements Snapshottable<T>, ITupleCollection, MapState<T>, RemovableMapState<T>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `MemoryMapState.Factory` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MemoryMapState​(String id)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `beginCommit​(Long txid)` |
    `void` | `commit​(Long txid)` |
    `T` | `get()` |
    `Iterator<List<Object>>` | `getTuples()` |
    `List<T>` | `multiGet​(List<List<Object>> keys)` |
    `void` | `multiPut​(List<List<Object>> keys, List<T> vals)` |
    `void` | `multiRemove​(List<List<Object>> keys)` |
    `List<T>` | `multiUpdate​(List<List<Object>> keys, List<ValueUpdater> updaters)` |
    `void` | `set​(T o)` |
    `T` | `update​(ValueUpdater updater)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MemoryMapState

          public MemoryMapState​(String id)

  - ### Method Detail

    - #### update

          public T update​(ValueUpdater updater)

      Specified by:
        `update` in interface `Snapshottable<T>`

    - #### set

          public void set​(T o)

      Specified by:
        `set` in interface `Snapshottable<T>`

    - #### get

          public T get()

      Specified by:
        `get` in interface `ReadOnlySnapshottable<T>`

    - #### beginCommit

          public void beginCommit​(Long txid)

      Specified by:
        `beginCommit` in interface `State`

    - #### commit

          public void commit​(Long txid)

      Specified by:
        `commit` in interface `State`

    - #### getTuples

          public Iterator<List<Object>> getTuples()

      Specified by:
        `getTuples` in interface `ITupleCollection`

    - #### multiUpdate

          public List<T> multiUpdate​(List<List<Object>> keys,
                                     List<ValueUpdater> updaters)

      Specified by:
        `multiUpdate` in interface `MapState<T>`

    - #### multiPut

          public void multiPut​(List<List<Object>> keys,
                               List<T> vals)

      Specified by:
        `multiPut` in interface `MapState<T>`

    - #### multiGet

          public List<T> multiGet​(List<List<Object>> keys)

      Specified by:
        `multiGet` in interface `ReadOnlyMapState<T>`

    - #### multiRemove

          public void multiRemove​(List<List<Object>> keys)

      Specified by:
        `multiRemove` in interface `RemovableMapState<T>`